Package org.eclipse.mat.ui.internal.query.arguments

# Class ArgumentsWizard

java.lang.Object
org.eclipse.jface.wizard.Wizard
org.eclipse.mat.ui.internal.query.arguments.ArgumentsWizard

All Implemented Interfaces:
  `IShellProvider`, `IWizard`

public class ArgumentsWizard extends Wizard

## Field Summary

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

## Constructor Summary

Constructors
Constructor
Description
`ArgumentsWizard(IQueryContext context, ArgumentSet argumentSet)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPages()`
`void`
`createPageControls(Composite pageContainer)`
`IDialogSettings`
`getDialogSettings()`
`boolean`
`performFinish()`

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, dispose, getContainer, getDefaultPageImage, getMinimumWizardSize, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArgumentsWizard

public ArgumentsWizard(IQueryContext context, ArgumentSet argumentSet)

## Method Details

### createPageControls

public void createPageControls(Composite pageContainer)

Specified by:
  `createPageControls` in interface `IWizard`
Overrides:
  `createPageControls` in class `Wizard`

### getDialogSettings

public IDialogSettings getDialogSettings()

Specified by:
  `getDialogSettings` in interface `IWizard`
Overrides:
  `getDialogSettings` in class `Wizard`

### addPages

public void addPages()

Specified by:
  `addPages` in interface `IWizard`
Overrides:
  `addPages` in class `Wizard`

### performFinish

public boolean performFinish()

Specified by:
  `performFinish` in interface `IWizard`
Specified by:
  `performFinish` in class `Wizard`